Package net.sourceforge.jiu.codecs.tiff

# Class TIFFDecoderUncompressed

java.lang.Object
net.sourceforge.jiu.codecs.tiff.TIFFDecoder
net.sourceforge.jiu.codecs.tiff.TIFFDecoderUncompressed

public class TIFFDecoderUncompressed extends TIFFDecoder
A TIFF decoder for uncompressed TIFF files.

Since:
  0.9.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Constructor
Description
`TIFFDecoderUncompressed()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode()`
Decode data from input and write the decompressed pixel data to the image associated with this decoder.
`Integer[]`
`getCompressionTypes()`
Returns an array with Integer values of all compression types supported by this decoder (see the COMPRESSION_xyz constants in `TIFFConstants`.

### Methods inherited from class net.sourceforge.jiu.codecs.tiff.TIFFDecoder

`getBytesPerRow, getCodec, getImageFileDirectory, getInput, getTileIndex, getX1, getX2, getY1, getY2, initialize, putBytes, setCodec, setImageFileDirectory, setTileIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TIFFDecoderUncompressed

public TIFFDecoderUncompressed()

## Method Details

### decode

public void decode() throws IOException
Description copied from class: `TIFFDecoder`
Decode data from input and write the decompressed pixel data to the image associated with this decoder. Child classes must override this method to implement the decoding for a particular compression type.

Specified by:
  `decode` in class `TIFFDecoder`
Throws:
  `IOException`

### getCompressionTypes

public Integer[] getCompressionTypes()
Description copied from class: `TIFFDecoder`
Returns an array with Integer values of all compression types supported by this decoder (see the COMPRESSION_xyz constants in `TIFFConstants`. Normally, this is only one value, but some compression types got assigned more than one constant (e.g. deflated). Also, a decoder could be capable of dealing with more than one type of compression if the compression types are similar enough to justify that. However, typically a decoder can only deal with one type of compression.

Specified by:
  `getCompressionTypes` in class `TIFFDecoder`
Returns:
  array with Integer objects of all TIFF compression constants supported by this decoder